View Issue Details

IDProjectCategoryView StatusLast Update
0000264FreeCADBugpublic2011-09-01 17:50
ReporternormandcAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.11 
Target VersionFixed in Version0.12 
Summary0000264: Drawing View for fused cube+cylinder and cube+sphere not shown correctly
DescriptionThis seems like a duplicate of bug 0000210 which was closed. The problem only happens when the cylinder or sphere intersects one of the cube edge. Then the view won't show properly and the arc (edge of the cylinder/sphere) will be reversed.

To reproduce: create box, create cylinder with default dimensions & placement, then fuse them. Create drawing page, then create top view: it will draw the arc on top of the cube face instead of outward.

Alternate: create box, create sphere causes the same display problem in the drawing views.
Additional InformationFreeCAD 0.11.4030
TagsNo tags attached.

Relationships

has duplicate 0000322 closed View of Pad in Drawing looks weird 

Activities

2011-02-12 02:31

 

wrong-top-view.png (Attachment missing)

2011-02-12 02:32

 

wrong-views.png (Attachment missing)

2011-02-12 02:41

 

cube+cyl_dwg_bug.fcstd (Attachment missing)

2011-02-12 02:41

 

cube+sphere_dwg_bug.fcstd (Attachment missing)

wmayer

2011-09-01 17:50

administrator   ~0001032

Fixed in r4868

Issue History

Date Modified Username Field Change
2011-02-12 02:31 normandc New Issue
2011-02-12 02:31 normandc File Added: wrong-top-view.png
2011-02-12 02:32 normandc File Added: wrong-views.png
2011-02-12 02:41 normandc File Added: cube+cyl_dwg_bug.fcstd
2011-02-12 02:41 normandc File Added: cube+sphere_dwg_bug.fcstd
2011-04-02 17:28 wmayer Relationship added has duplicate 0000322
2011-09-01 17:50 wmayer Note Added: 0001032
2011-09-01 17:50 wmayer Status new => closed
2011-09-01 17:50 wmayer Resolution open => fixed
2011-09-01 17:50 wmayer Fixed in Version => 0.12